info@unhackable.org Phone: +877 547 3638

Several Vulnerabilities in Mozilla Firefox, Thunderbird, Seamonkey

Updated software packages for Mozilla Firefox, Thunderbird, Seamonkey that fixes several recently discovered security issues is now available for nearly all operating systems and platforms. You should upgrade your software immediately! Patched and Secure Versions If you are not using one of the versions below, you are vulnerable. Firefox 18.0 Firefox ESR 10.0.12 Firefox ESR […]

Read More »